summaryrefslogtreecommitdiffstats
path: root/run-tests.sh
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2016-08-20 15:46:43 +0200
committerFlorian Pritz <bluewind@xinu.at>2016-08-20 16:05:04 +0200
commite5bda471666d19451289378a1c243daf122fa6bd (patch)
tree1488d39951ef3e8010089f7fee322719073e19a3 /run-tests.sh
parent3ce4e928c606f2b3a1c393819ca4a1268e3b058b (diff)
run-tests.sh: Allow running single tests
--state=hot,slow,all force all tests from the save file to be run even if they are not listed on the command line. Therefore they are dropped and replaced by failed which only pulls in tests that failed during the last run. -r and -o are replaced by their long text versions for clarity. Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/run-tests.sh b/run-tests.sh
index c429acc88..a83e8ea25 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -34,7 +34,8 @@ mkdir -p test-coverage-data
# run tests
phpdbg -qrr index.php tools drop_all_tables || exit 1
phpdbg -qrr index.php tools update_database || exit 1
-prove --ext .php --state=hot,slow,all,save --timer -o -e "phpdbg -qrr index.php tools test" -r "$@" application/test/tests/ || exit 1
+
+prove --ext .php --state=failed,save --timer --comments --exec 'phpdbg -qrr index.php tools test' --recurse "${@:-application/test/tests/}" || exit 1
php index.php tools generate_coverage_report
rm -rf test-coverage-data